ZoomWindow Method

Back to Methods Reference

Zooms the current viewport to the area specified by two opposite corners of a rectangle.

Signature

VBA : object.ZoomWindow LowerLeft, UpperRight

VL : (vla-ZoomWindow Lowerleft UpperRight)

(vla-ZoomWindow acadapplic PT1 PT2)

  • Object : Application
    The object or objects this method applies to.
  • LowerLeft Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the lower-left corner of the window to display.
  • UpperRight Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the upper-right corner of the window to display.

Remarks

This method applies to the current active viewport (paper space viewport or model space viewport).

Example :


(defun c:al-zw ()

;get reference to the Application Object
(setq acadapplic (vlax-get-acad-object))

;get reference to the Utility object
(setq util (vla-get-utility (vla-get-activedocument acadapplic)))

;get the first point
(setq PT1 (vla-getpoint util nil "\nFirst Point : "))

;get the second point
(setq PT2 (vla-getcorner util PT1 "\nSecond Point : "))

;zoom window
(vla-ZoomWindow acadapplic PT1 PT2)

(princ)

);defun

(princ)

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website